<?xml version="1.0" encoding="UTF-8"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema"    
    exclude-result-prefixes="xs xsl"
    version="2.0">
    <xsl:output method="html"/>
    <!-- i.e. XSLT-Übungsskript zu dhmuc-Summer School 2017, für: XML-Kurs, von: Susanne Haaf -->
    
    <xsl:template match="/">
        <html>
            <head>
                <title></title>
            </head>
            <body>
                <xsl:apply-templates/>
            </body>
        </html>
        
    </xsl:template>
   
    <xsl:template match="//head">
        <xsl:choose>
            <xsl:when test="parent::chapter">
                <h1>
                    <xsl:apply-templates/>
                </h1>
            </xsl:when>
            <xsl:when test="parent::section">
                <h2>
                    <xsl:apply-templates/>
                </h2>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
        
    <xsl:template match="//note">
        <note style="color:grey; display:block">
            Anmerkung: <xsl:apply-templates/>
        </note>
    </xsl:template>
       
    <xsl:template match="//lb">
        <br/>
    </xsl:template>
        
   <xsl:template match="//paragraph">
       <xsl:choose>
           <xsl:when test="parent::note">
               <span style="color:grey">
                   <xsl:apply-templates/>
               </span><br/>
           </xsl:when>
           <xsl:otherwise>
               <p>
                   <xsl:apply-templates/>
               </p>
           </xsl:otherwise>
       </xsl:choose>  
   </xsl:template>
        
    <xsl:template match="//line">
        <hr/>
    </xsl:template>
            
    <xsl:template match="@*|node()">
        <xsl:copy><xsl:apply-templates select="@*|node()" /></xsl:copy>
    </xsl:template>
</xsl:stylesheet>