<?xml version="1.0" encoding="UTF-8"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" 
    xpath-default-namespace="http://www.tei-c.org/ns/1.0"    
    exclude-result-prefixes="tei"
    version="2.0">
    <xsl:output method="html"/>
    
    <xsl:template match="/tei:TEI">
        <html>
            <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
            <head>
                <title></title>
            </head>
            <body>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="//tei:hi">
        <xsl:choose>
            <xsl:when test="@rendition='#in'">
                <span style="color:red;font-size:150%">
                    <xsl:apply-templates/>
                </span>
            </xsl:when>
            <xsl:when test="@rendition[contains(., '#g')]">
                <span style="letter-spacing:0.2em">
                    <xsl:apply-templates/>
                </span>
            </xsl:when>
            <xsl:when test="@rendition='#fr'">
                <span style="font-weight:bold">
                    <xsl:apply-templates/>
                </span>
            </xsl:when>
            <xsl:when test="@rendition='#aq'">
                <span style="font-family:Courier">
                    <xsl:apply-templates/>
                </span>
            </xsl:when>
            <xsl:when test="@rendition='#aq'">
                <span style="align:center">
                    <xsl:apply-templates/>
                </span>
            </xsl:when>
        </xsl:choose>
        
    </xsl:template>
    
    <xsl:template match="//tei:note">
        <note style="color:grey; display:block">
            Anmerkung <xsl:value-of select="@n"/>: <xsl:apply-templates/>
        </note>
    </xsl:template> 
     
    <xsl:template match="//tei:lb">
        <br/>
    </xsl:template>
    
    <xsl:template match="//tei:stage">
        <xsl:choose>
            <xsl:when test="ancestor::tei:sp">
                <span style="padding-top:0.3em;font-style:italic">
                    <xsl:apply-templates/>
                </span>
            </xsl:when>
            <xsl:otherwise>
                <p style="padding-top:0.3em;font-style:italic">
                    <xsl:apply-templates/>
                </p>
            </xsl:otherwise>
        </xsl:choose>
        
    </xsl:template>
    
    <xsl:template match="//tei:head">
        <xsl:choose>
            <xsl:when test="parent::lg[@type='poem']">
                <h1>
                    <xsl:apply-templates/>
                </h1>
            </xsl:when>
            <xsl:when test="parent::div[@n='1']">
                <h1>
                    <xsl:apply-templates/>
                </h1>
            </xsl:when>
            <xsl:otherwise>
                <h2>
                    <xsl:apply-templates/>
                </h2>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
        
    <xsl:template match="//tei:p[not(ancestor::sp)]">
        <p>
            <xsl:apply-templates/>
        </p>
    </xsl:template>
    
    <xsl:template match="//tei:fw">
        <span style="color:silver">
            <xsl:apply-templates/>
        </span>
    </xsl:template>
    
    <xsl:template match="//tei:pb">
        <p style="color:grey">
            Seite: <xsl:value-of select="@n"/>, Bild: <xsl:value-of select="@facs"/>
        </p>
    </xsl:template>
    <xsl:template match="//tei:teiHeader"/>
    
        
    <xsl:template match="text()">
        <xsl:value-of select="."/>
    </xsl:template>
</xsl:stylesheet>